<%@ Page language="c#" AutoEventWireup="true" %>
<%@ Import NameSpace="System" %>
<%@ Import NameSpace="System.Data" %>
<script runat="server" language="C#">
void Page_Load(object sender, EventArgs e)
{
	DataTable dt = new DataTable("Export");
	dt.Columns.Add("Name", typeof(string));
	dt.Columns.Add("Amount", typeof(double));
	dt.Columns.Add("Cost", typeof(double));
	
	DataRow row = null;
	for (int i = 0; i < 30; i++)
	{
		row = dt.NewRow();
		row[0] = "Name" + i;
		row[1] = i.ToString();
		row[2] = (i*2.5).ToString();
		dt.Rows.Add(row);
	}
	
	DataView dv = dt.DefaultView;
	dv.Sort = "Amount DESC";
	Session["dataview"] = dv;
}
</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>testDatatableExport</title>
  </head>
  
  <body>

			<a href="export.aspx?type=xml">Export dataview (XML)</a><br />
			<a href="export.aspx?type=csv">Export dataview (CSV)</a>
	
  </body>
</html>
